2008-11-19  Li Yuan <li.yuan@sun.com>

	** Fix for bug #560329

	* calendar/ea-cal-view.c (idle_dates_changed): Fix the signature of 
	the "children-changed" signal emission. 

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* e-table/gal-a11y-e-cell-tree.c:

2008-09-19  Sankar P  <psankar@novell.com>

License Changes

	* addressbook/ea-addressbook-view.c:
	* addressbook/ea-minicard-view.c:

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* e-table/gal-a11y-e-cell-text.c:

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* calendar/ea-day-view.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* addressbook/ea-addressbook-view.h:
	* addressbook/ea-addressbook.c:
	* addressbook/ea-addressbook.h:
	* addressbook/ea-minicard-view.h:
	* addressbook/ea-minicard.c:
	* addressbook/ea-minicard.h:
	* calendar/ea-cal-view-event.c:
	* calendar/ea-cal-view-event.h:
	* calendar/ea-cal-view.c:
	* calendar/ea-calendar.c:
	* calendar/ea-day-view.h:
	* calendar/ea-gnome-calendar.h:
	* calendar/ea-week-view-cell.h:
	* calendar/ea-week-view-main-item.c:
	* calendar/ea-week-view.c:
	* e-table/gal-a11y-e-cell-popup.c:
	* e-table/gal-a11y-e-cell-registry.c:
	* e-table/gal-a11y-e-cell-registry.h:
	* e-table/gal-a11y-e-cell-text.h:
	* e-table/gal-a11y-e-cell-toggle.c:
	* e-table/gal-a11y-e-cell-toggle.h:
	* e-table/gal-a11y-e-cell-tree.h:
	* e-table/gal-a11y-e-cell.c:
	* e-table/gal-a11y-e-cell.h:
	* e-table/gal-a11y-e-table-click-to-add-factory.c:
	* e-table/gal-a11y-e-table-click-to-add-factory.h:
	* e-table/gal-a11y-e-table-click-to-add.c:
	* e-table/gal-a11y-e-table-click-to-add.h:
	* e-table/gal-a11y-e-table-item-factory.c:
	* e-table/gal-a11y-e-table-item-factory.h:
	* e-table/gal-a11y-e-table-item.c:
	* e-table/gal-a11y-e-table.c:
	* e-table/gal-a11y-e-tree-factory.c:
	* e-table/gal-a11y-e-tree-factory.h:
	* e-table/gal-a11y-e-tree.c:
	* e-table/gal-a11y-e-tree.h:
	* e-text/gal-a11y-e-text-factory.c:
	* e-text/gal-a11y-e-text-factory.h:
	* e-text/gal-a11y-e-text.c:
	* ea-cell-table.c:
	* ea-cell-table.h:
	* gal-a11y-factory.h:
	* widgets/ea-calendar-cell.h:
	* widgets/ea-calendar-item.c:
	* widgets/ea-calendar-item.h:
	* widgets/ea-widgets.c:

2008-08-27  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #534762

	* addressbook/ea-addressbook-view.c: (ea_ab_view_get_name),
	(ea_ab_view_get_description):
	* addressbook/ea-minicard-view.c:
	(ea_minicard_view_get_description): Change "addressbook" to
	"address book" in translatable strings.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* calendar/ea-cal-view.h:
	* calendar/ea-calendar-helpers.c:
	* calendar/ea-calendar-helpers.h:
	* calendar/ea-calendar.h:
	* calendar/ea-day-view-cell.c:
	* calendar/ea-day-view-cell.h:
	* calendar/ea-day-view-main-item.c:
	* calendar/ea-day-view-main-item.h:
	* calendar/ea-gnome-calendar.c:
	* calendar/ea-jump-button.c:
	* calendar/ea-jump-button.h:
	* calendar/ea-week-view-cell.c:
	* calendar/ea-week-view-main-item.h:
	* calendar/ea-week-view.h:
	* e-table/gal-a11y-e-cell-popup.h:
	* e-table/gal-a11y-e-cell-vbox.c:
	* e-table/gal-a11y-e-cell-vbox.h:
	* e-table/gal-a11y-e-table-column-header.c:
	* e-table/gal-a11y-e-table-column-header.h:
	* e-table/gal-a11y-e-table-factory.c:
	* e-table/gal-a11y-e-table-factory.h:
	* e-table/gal-a11y-e-table-item.h:
	* e-table/gal-a11y-e-table.h:
	* e-text/gal-a11y-e-text.h:
	* ea-factory.h:
	* gal-a11y-util.c:
	* gal-a11y-util.h:
	* widgets/ea-calendar-cell.c:
	* widgets/ea-combo-button.c:
	* widgets/ea-combo-button.h:
	* widgets/ea-expander.c:
	* widgets/ea-expander.h:
	* widgets/ea-widgets.h:

2008-01-24  Tor Lillqvist  <tml@novell.com>

	* widgets/Makefile.am (libevolution_widgets_a11y_la_LIBADD): Link
	with libeutil.la for e_get_weekday_name().

2007-12-03  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #392747

	* widgets/ea-calendar-item.c (ea_calendar_item_get_column_label):
	Get the column label via e_get_weekday_name().

2007-10-29  Kjartan Maraas  <kmaraas@gnome.org>

	* addressbook/ea-addressbook.c:
	* calendar/ea-cal-view.c: (action_interface_get_keybinding):
	* calendar/ea-calendar.c:
	* calendar/ea-week-view-main-item.c:
	(selection_interface_clear_selection):
	* e-table/gal-a11y-e-cell-tree.c: (ectr_subcell_weak_ref),
	(gal_a11y_e_cell_tree_get_type):

	- Fix warnings from sparse.

2007-09-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 
	
	* addressbook/ea-minicard-view.c: (ea_minicard_view_get_name),
	(atk_action_interface_do_action): Move away from g_assert to critical
	warnings.
	* calendar/ea-cal-view-event.c:
	(ea_cal_view_event_get_index_in_parent):
	* calendar/ea-calendar-helpers.c:
	(ea_calendar_helpers_get_cal_view_event_from):
	* calendar/ea-gnome-calendar.c:
	(ea_gnome_calendar_get_label_description):

2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* e-table/gal-a11y-e-cell-tree.c: (kill_view_cb):
	Fixes serious compiler warning.

2007-07-27  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Rename EXTRA_GNOME_LIBS to GNOME_PLATFORM_LIBS.

	* e-text/Makefile.am:
	* e-table/Makefile.am:
	Rename EXTRA_GNOME_CFLAGS to GNOME_PLATFORM_CFLAGS.

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* e-table/gal-a11y-e-cell-tree.c: (ectr_subcell_weak_ref):
	The return value of g_list_remove() should be received because the
	function returns the new start of the list.

2007-07-19  Li Yuan  <liyuan@tackle>

	* calendar/ea-day-view-main-item.c:
	(ea_day_view_main_item_get_name):
	Bug #459413. Just return NULL if parent has gone.

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* e-text/gal-a11y-e-text.c (et_get_extents), (et_get_full_text),
	(et_set_full_text), (et_get_caret_offset):
	Use g_object_get() instead of gtk_object_get().

	* e-text/gal-a11y-e-text.c (et_paste_text):
	Use g_object_set() instead of gtk_object_set().

2007-03-30  Wang Xin  <jedy.wang@sun.com>

	* widgets/ea-calendar-item.c: Fixes #415985 and #416028.

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* e-table/gal-a11y-e-cell-text.c:
	* e-table/gal-a11y-e-cell-vbox.c:
	Don't mix declarations and code (#405495).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/i18n.h> instead of <libgnome/gnome-i18n.h>.

2007-03-01  Kjartan Maraas  <kmaraas@gnome.org>

	* e-table/gal-a11y-e-cell-tree.c: (kill_view_cb),
	(ectr_subcell_weak_ref), (gal_a11y_e_cell_tree_new):
	Workaround for crash in bug #330728. Patch from
	Caolan McNamara.

2007-01-24  Wang Xin  <jedy.wang@sun.com>

	* e-text/gal-a11y-e-text.c: Fixes #400121.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #351332

	* calendar/ea-gnome-calendar.c:
	Fix implicit function declarations.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #353472

	* widgets/ea-calendar-cell.c: (ea_calendar_cell_finalize)
	* calendar/ea-week-view-cell.c: (ea_week_view_cell_finalize)
	* calendar/ea-day-view-cell.c: (ea_day_view_cell_finalize)
	* calendar/ea-cal-view-event.c: (ea_cal_view_finalize)
	* e-table/gal-a11y-e-cell-registry.c:
	(gal_a11y_e_call_registry_finalize)
	Chain up to parent's finalize() method.

2006-08-17  Li Yuan <li.yuan@sun.com>

	Patch submitted by Pavel Roskin <proski@gnu.org>

	* widgets/ea-expander.h:
	Fix warning about ignored token after #endif.

2006-08-16  Kjartan Maraas  <kmaraas@gnome.org>

	* calendar/ea-cal-view-event.c: (ea_cal_view_event_get_name):
	Don't leak summary_string here.

2006-07-13  Andre Klapper  <a9016009@gmx.de>

	* calendar/ea-day-view.c: Added translator comments to
	some strings. Fixes bug #331016. Thanks to Boby Wang.

2006-06-22  Harish Krishnaswamy  <kharish@novell.com>

	* e-table/gal-a11y-e-cell-text.c: (ect_check):
	Revert Rajeev's patch for #330728, #332727..

2006-06-12  Li Yuan <li.yuan@sun.com>

	* Makefile.am, e-table/Makefile.am,
	e-text/Makefile.am: Do not install header files, and make sure
	they will be included in the tarball when make dist.

2006-05-16  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am, e-table/Makefile.am
	e-text/Makefile.am: Revert the earlier patch.
	They are needed, after all.

2006-05-15  Harish Krishnaswamy  <kharish@novell.com>

	Patch submitted by Li Yuan <li.yuan@sun.com>
	* Makefile.am, e-table/Makefile.am, 
	e-text/Makefile.am: Do not install header files.

2006-05-08  Li Yuan <li.yuan@sun.com>

	Fix for #333279.

	* e-table/gal-a11y-e-table-item.c: (table_is_row_selected):
	If row<0, just return FALSE.

2006-04-28  Boby Wang <boby.wang@sun.com>

	Fix for #339136

	* calendar/ea-cal-view-event.c: (ea_cal_view_event_get_type),
	(ea_cal_view_event_class_init), (ea_cal_view_event_init),
	(ea_cal_view_event_dispose),
	(ea_cal_view_event_get_index_in_parent),
	(ea_cal_view_event_ref_state_set):
	add necessary AtkStateSet to EaCalViewEvent.
	* calendar/ea-cal-view-event.h:
	add necessary AtkStateSet to EaCalViewEvent.
	* calendar/ea-calendar.c: (e_cal_view_a11y_init):
	replace e_cal_view_get_type with e_calendar_view_get_type
	* calendar/ea-day-view.c: (ea_day_view_get_type):
	replace e_cal_view_get_type with e_calendar_view_get_type
	* calendar/ea-week-view.c:
	* calendar/ea-week-view.h:
	change the base class of EaWeekView from GtkAccessible to EaCalView

2006-04-28  Boby Wang <boby.wang@sun.com>

	Fix for # 333725

	* ea-factory.h: Disable accessible code when accessibility is not enabled
	* gal-a11y-factory.h: Remove some unused code

2006-04-27  Boby Wang <boby.wang@sun.com>

	Fix for #332821

	* widgets/Makefile.am:
	* widgets/ea-expander.[ch]:
	Add two new files to implement the accessibility of EExpander.
	* widgets/ea-widgets.[ch]:(e_expander_a11y_init):
	Implement the accessibility of EExpander.

2006-04-24  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	reviewed by: Harish Krishnaswamy <kharish@novell.com> 

	*  e-table/gal-a11y-e-cell-text.c: (ect_check)
	Fixes the corrupted reference to cell_view->ecell
	Fix for #330728, #332727.

2006-03-20  Boby Wang <boby.wang@sun.com>
	Fix for #319308

	* addressbook/ea-minicard-view.c: (ea_minicard_view_get_name):
	add the folder name to the name of current minicard view

2006-03-06  Harry Lu <harry.lu@sun.com>

	Fix for 331550.

	* calendar/ea-day-view.c: (ea_day_view_get_name): check the visibility of gcal
	before trying to get label.
	* calendar/ea-week-view.c: (ea_week_view_get_name): ditto.

2006-01-27  Kjartan Maraas  <kmaraas@gnome.org>

	reviewed by: Harish Krishnaswamy <kharish@novell.com> 

	* addressbook/ea-addressbook.c: Remove extra semi-colons.
	* calendar/ea-cal-view.c: (ea_cal_view_event_changed_cb),
	(ea_cal_view_event_added_cb), (action_interface_get_keybinding):
	Remove unused code and variables.
	* calendar/ea-day-view-main-item.c:
	(table_interface_get_row_description): More removal of unused bits
	* calendar/ea-week-view-main-item.c:
	(ea_week_view_main_item_get_row_at_index),
	(ea_week_view_main_item_get_column_at_index),
	(ea_week_view_main_item_get_row_label),
	(table_interface_get_n_columns),
	(table_interface_get_column_description): Same again.
	* e-table/gal-a11y-e-table-item.c: (gal_a11y_e_table_item_new):
	And again.
	* e-table/gal-a11y-e-table.c: (et_ref_child): Remove unused var.
	* e-table/gal-a11y-e-tree.c: (gal_a11y_e_tree_new): Again.
	* e-text/gal-a11y-e-text.c: (et_set_selection),
	(et_real_initialize): Same here too.
	* widgets/ea-calendar-item.c:
	(table_interface_get_column_description),
	(table_interface_get_row_description),
	(selection_interface_is_child_selected),
	(ea_calendar_item_get_cell_data): And here too.
	* widgets/ea-widgets.c: More redundant semi-colons.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* widgets/ea-calendar-item.c: use e_utf8_strftime() in
        evolution-data-server/libedataserver/e-data-server-util.c
        instead of the copy in evolution/e-util/e-util.c.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* e-table/gal-a11y-e-cell.c
	(gal_a11y_e_cell_remove_action_by_name): Use g_ascii_strcasecmp()
	instead of g_strcasecmp() for well-definedness.

2005-09-27  Harry Lu <harry.lu@sun.com>

	Fix for #316351

	* e-table/gal-a11y-e-cell.c: (idle_do_action),
	(gal_a11y_e_cell_action_do_action): add a ref/unref pair to make
	sure the pointer is valid.

2005-08-15  Li Yuan  <li.yuan@sun.com>

	* e-table/gal-a11y-e-table-item.c: (eti_a11y_reset_focus_object):
	Fixes #313514.
	For the code change in gnopernicus, we should use 
	atk_focus_tracker_notify here.

2005-07-18  Li Yuan  <li.yuan@sun.com>

	Fixes #310136 #310138.
	* e-table/gal-a11y-e-table-item.c: (eti_get_index_at),
	(eti_get_row_at_index), (eti_get_n_rows), (eti_rows_inserted),
	(eti_rows_deleted), (eti_header_structure_changed):
	The first items of e-table are column-header. So we should add
	number of columns when change (row, col) to index, or subtract
	when change index to (row, col).

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* Makefile.am
	* addressbook/Makefile.am
	* calendar/Makefile.am
	* widgets/Makefile.am: Use the fake "bootstrap" libraries on Win32
	to get around circular dependencies. Use NO_UNDEFINED. Use
	privsolib_LTLIBRARIES instead of privlib_LTLIBRARIES (see
	../ChangeLog).

	* Makefile.am: No need to pass -I pointing to this directory
	itself, all inclusions of headers from here are with
	doublequotes. Link with libeutil. No need to link with REGEX_LIBS.

	* addressbook/Makefile.am
	* calendar/Makefile.am
	* widgets/Makefile.am: Prune out superfluous -I options and -D
	options for EVOLUTION_* pathname macros that aren't used in the
	source files in that directory.

	* addressbook/Makefile.am: Drop A11Y_CFLAGS, its a subset of
	EVOLUTION_ADDRESSBOOK_CFLAGS anyway. Link with
	EVOLUTION_ADDRESSBOOK_LIBS.

	* addressbook/ea-addressbook.c: Include headers from the same
	directory as such.

	* calendar/Makefile.am: Drop A11Y_CFLAGS, its a subset of
	EVOLUTION_CALENDAR_CFLAGS anyway. Link with
	EVOLUTION_CALENDAR_LIBS.

	* e-table/Makefile.am (INCLUDES)
	* e-text/Makefile.am (INCLUDES): Remove stray trailing slash from
	-I path, confuses gcc on Win32. Drop the undefined
	GNOME_BONOBO_CFLAGS and GNOME_INCLUDEDIR. Drop GNOME_FULL_CFLAGS,
	it's a subset of EXTRA_GNOME_CFLAGS.

	* widgets/Makefile.am: E_WIDGETS_CFLAGS is enough. No need for
	EVOLUTION_CALENDAR_CFLAGS. Link with E_WIDGET_LIBS. Drop
	A11Y_CFLAGS, subset of E_WIDGET_CFLAGS.

2005-04-22  Li Yuan  <li.yuan@sun.com>

	* calendar/ea-day-view-main-item.c:
	(ea_day_view_main_item_destory_cell_data):
	* calendar/ea-week-view-main-item.c:
	(ea_week_view_main_item_destory_cell_data):
	change the order of the code to avoid a crash.

	Fixes #301885

2005-04-06  Yu Mengjie  <meng-jie.yu@sun.com>

	* addressbook/ea-minicard-view.c: (ea_minicard_view_get_name),
	(ea_minicard_view_ref_state_set):
	return proper atk_object name and atk_stateset to avoid crash.
	
	* addressbook/ea-minicard.c: (ea_minicard_get_name),
	(ea_minicard_ref_state_set):
	return proper atk_object name and atk_stateset to avoid crash.

	Fixes #74404

2005-02-23  Li Yuan  <li.yuan@sun.com>

	Fix for 72897 and 72797.
	* ea-cell-table.c: 
	(ea_cell_table_destroy): no need to output the information.
	* widgets/ea-calendar-cell.c: 
	(ea_calendar_cell_get_type): add instance init function.
	(ea_calendar_cell_class_init): add ref_state_set function.
	(ea_calendar_cell_init): instance init function.
	(ea_calendar_cell_new): change the cell's role to ATK_ROLE_TABLE_CELL.
	(ea_calendar_cell_ref_state_set): the ref_state_set function.
	(atk_component_interface_init),
	(component_interface_get_extents),
	(component_interface_grab_focus): implement grab focus function.
	* widgets/ea-calendar-cell.h:
	add the state_set variable.
	* widgets/ea-calendar-item.c: 
	(ea_calendar_item_new): change the item's role to ATK_ROLE_CALENDAR.
	no need to connect "selection_preview_changed" signal here.
	(date_range_changed_cb): call ea_calendar_set_focus_object.
	(ea_calendar_set_focus_object): make the "gail-focus-object" of the item
	point to the focused cell.

2005-02-21  Harry Lu <harry.lu@sun.com>

	Fix for 72781

	* addressbook/ea-minicard-view.c: (ea_minicard_view_new):
	set the role to panel.
	* addressbook/ea-minicard.c: (ea_minicard_new): ditto.

2005-02-02  Harry Lu <harry.lu@sun.com>

	Fix for 72088.

	* calendar/ea-calendar.c: (gnome_calendar_a11y_init): force
	loading some types so that we can use them.

2005-02-01  Harry Lu <harry.lu@sun.com>

	Fix for 71924, 71926, 71932 
	Don't split sentences that need translation.
	Also remove two useless variables.

	* calendar/ea-cal-view-event.c: (ea_cal_view_event_get_name):
	* calendar/ea-day-view.c: (ea_day_view_get_name):
	* calendar/ea-week-view.c: (ea_week_view_get_name),
	(ea_week_view_get_n_children):
	* widgets/ea-calendar-item.c: (ea_calendar_item_get_name),
	(e_calendar_item_get_offset_for_date):

2005-01-31  Rodrigo Moya <rodrigo@novell.com>

	Fixes #71929
	
	* calendar/ea-day-view.c (ea_day_view_get_name):
	* calendar/ea-week-view.c (ea_week_view_get_name): don't use spaces
	before colons.

2005-01-28  Sivaiah Nallagatla <snallagatla@novell.com>

	* addressbook/ea-minicard-view.c 
	(ea_minicard_view_get_name) : fix a typo present
	in the string too

2005-01-28  Sivaiah Nallagatla <snallagatla@novell.com>

	* addressbook/ea-minicard-view.c 
	(ea_minicard_view_get_name) : use ngetext
	instead of splitting the the sentence to take care
	of different messages for plural vs singular case 
	Fixes #61060
 
2005-01-15  JP Rosevear  <jpr@novell.com>

	* calendar/ea-calendar-helpers.c
	(ea_calendar_helpers_get_cal_view_from): use E_CALENDAR_VIEW, not
	E_CAL_VIEW

	Fixes #71306
	
	* calendar/Makefile.am: no need for any idl in this directory, it
	was not used anywhere

2005-01-04  Harry Lu  <harry.lu@sun.com>

	* widgets/Makefile.am: add ea-combo-button.[ch] to Makefile.
	* widgets/ea-combo-button.c:
	* widgets/ea-combo-button.h: implement a11y object for e-combo-button.
	* widgets/ea-widgets.c: (e_combo_button_a11y_init): set a11y factory.
	* widgets/ea-widgets.h: add declaration.

2004-12-09  Harry Lu  <harry.lu@sun.com>

	Fix a warning.

	* addressbook/ea-addressbook.c: (ea_addressbook_focus_watcher):
	use object instead of ATK_OBJECT (minicard).

2004-12-1   Hao Sheng <hao.sheng@sun.com>

	* a11y/addressbook/ea-minicard.c:
	(atk_action_interface_do_action): Change e_minicard_activiate_editor to
	e_minicard_activate_editor.

2004-11-08  Steven Zhang <steven.zhang@sun.com>

	Implement accessible feature for e-minicard and e-mini-card-view.
	Add get_n_children, ref_child, ref_state_set, atk_selection_interface,
	and action_interface for ea-minicard-view and ea-minicard

	*ea-minicard-view.c:
	(ea_minicard_view_get_n_children),
	(ea_minicard_view_ref_child),
	(ea_minicard_view_ref_state_set),
	(atk_selection_interface_init),
	(selection_interface_add_selection),
	(selection_interface_clear_selection),
	(selection_interface_ref_selection),
	(selection_interface_get_selection_count),
	(selection_interface_is_child_selected),
	(atk_action_interface_init),
	(atk_action_interface_do_action),
	(atk_action_interface_get_n_action),
	(atk_action_interface_get_description),
	(atk_action_interface_get_name).

	*ea-minicard.c:
	(ea_minicard_get_n_children),
	(ea_minicard_ref_child),
	(ea_minicard_ref_state_set),
	(atk_action_interface_init),
	(atk_action_interface_do_action),
	(atk_action_interface_get_n_action),
	(atk_action_interface_get_description),
	(atk_action_interface_get_name).

2004-11-01  Li Yuan  <li.yuan@sun.com>

	* calendar/ea-day-view.c: (ea_day_view_get_name):
	use ngettext for n_events.
	* calendar/ea-week-view.c: (ea_week_view_get_name):
	ditto.

2004-10-26  Li Yuan  <li.yuan@sun.com>

	* calendar/ea-day-view.c: (ea_day_view_get_name):
	* calendar/ea-gnome-calendar.c:
	(ea_gnome_calendar_get_label_description),
	(ea_gcal_dates_change_cb):
	* calendar/ea-gnome-calendar.h:
	* calendar/ea-week-view.c: (ea_week_view_get_name):
	for calendar_get_text_for_folder_bar_label has been removed form
	calendar-commands.c, we implement it ourself.

2004-09-23  Li Yuan  <li.yuan@sun.com>

	* calendar/ea-cal-view-event.c: (ea_cal_view_event_get_type),
	(ea_cal_view_event_get_name), (ea_cal_view_event_get_description):
	Make accessibility name and description translatable.
	(atk_action_interface_init), (ea_cal_view_event_do_action),
	(ea_cal_view_event_get_n_actions),
	(ea_cal_view_event_action_get_name):
	Add action interface to ea-cal-view-event so that it can be 
	UI grabbed by GOK.
	* calendar/ea-cal-view.c:
	Make accessibility name and description translatable.
	* calendar/ea-day-view-cell.c: (ea_day_view_cell_new):
	Change atk role of ea-day-view-cell from ATK_ROLE_TABLE_CELL 
	to ATK_ROLE_UNKNOWN so that it can be UI grabbed by GOK.
	(atk_component_interface_init), (component_interface_grab_focus):
	Add a component interface function : grab_focus.
	When grab focus, present the Evolution GUI to the front.
	* calendar/ea-day-view-main-item.c:
	(ea_day_view_main_item_get_description):
	Make accessibility name and description translatable.
	(ea_day_view_main_item_time_change_cb):
	Notify the item_cell is selected.
	* calendar/ea-day-view.c: (ea_day_view_get_name),
	(ea_day_view_get_description):
	Make accessibility name and description translatable.
	* calendar/ea-gnome-calendar.c: (ea_gnome_calendar_get_name),
	(ea_gnome_calendar_get_description), (ea_gnome_calendar_ref_child):
	Make accessibility name and description translatable.
	* calendar/ea-jump-button.c: (ea_jump_button_get_name),
	(ea_jump_button_get_description):
	Make accessibility name and description translatable.
	* calendar/ea-week-view-cell.c: (ea_week_view_cell_get_name),
	(atk_component_interface_init), (component_interface_get_extents),
	(component_interface_grab_focus):
	Add a component interface function : grab_focus.
       	Add support for different week start days.
	When grab focus, present the Evolutioon GUI to the front.
	* calendar/ea-week-view-main-item.c: (ea_week_view_main_item_new):
	Set the atk role to ATK_ROLE_TABLE.
	(ea_week_view_main_item_get_description):
	Make accessibility name and description translatable.
	(ea_week_view_main_item_time_change_cb):
	Notify the item_cell is selected.
	* calendar/ea-week-view.c: (ea_week_view_get_name),
	(ea_week_view_get_description):
	Make accessibility name and description translatable.
	* widgets/ea-calendar-cell.c: (ea_calendar_cell_new):
	Change atk role of ea-calendar-cell from ATK_ROLE_TABLE_CELL 
	to ATK_ROLE_UNKNOWN so that it can be UI grabbed by GOK.
	* widgets/ea-calendar-item.c: (ea_calendar_item_class_init),
	(ea_calendar_item_get_name), (ea_calendar_item_get_description):
	Make accessibility name and description translatable.
	(ea_calendar_item_ref_state_set),:
	Implement ref_state_set so that ea-calendar-item can be UI 
	grabbed by GOK.
	(ea_calendar_item_destory_cell_data):
	Fix a crash here.

2004-04-29  Rodney Dawes  <dobey@ximian.com>

	* calendar/Makefile.am (INCLUDES): Add $(top_srcdir)/widgets/misc
	for the e-activity-handler.h stuff

2004-04-22  Kidd Wang  <kidd.wang@sun.com>

	* calendar/ea-week-view.c: (ea_week_view_get_n_children): If the
	week view has no spans, there is no visible events in the view.

2004-03-15  JP Rosevear  <jpr@ximian.com>

	* calendar/ea-cal-view.h: fix include

2003-03-15  Hao Sheng  <hao.sheng@sun.com>

	* Contritbuted by Leon Zhang <leon.zhang@sun.com>
	* Makefile.am: add directory addressbook.
	* implement basic accessbility addressbook's minicard.
	add new directory and Files below:
		addressbook/
		addressbook/Makefile.am
		addressbook/ea-addressbook.c
		addressbook/ea-addressbook-view.c
		addressbook/ea-minicard.c
		addressbook/ea-minicard-view.c
		addressbook/ea-addressbook.h
		addressbook/ea-addressbook-view.h
		addressbook/ea-minicard.h
		addressbook/ea-minicard-view.h

2003-12-10  Bolian Yin <bolian.yin@sun.com>

	* calendar/ea-cal-view-event.c (ea_cal_view_event_get_index_in_parent): corret index error in week view.
	* calendar/ea-day-view-cell.c: impl. get_index_in_parent
	* calendar/ea-day-view-main-item.c: emit signal "active-descendant-changed", fix error in selection_interface_ref_selection.
	* widgets/ea-calendar-cell.c: impl. get_index_in_parent.
	* widgets/ea-calendar-item.c: change signature of e_calendar_item_get_offset_for_date, emit signal "active-descendant-changed".

2003-12-09  Andrew Wu <Yang.Wu@sun.com>

	* calendar/Makefile.am: add entries for new source files
	* calendar/ea-calendar-helpers.c: add cases for jump button.
	* calendar/ea-calendar.c: add cases for week view and week view main item.
	* calendar/ea-jump-button.c: new impl.
	* calendar/ea-week-view-cell.c: new impl.
	* calendar/ea-week-view-main-item.c: new impl.
	* calendar/ea-week-view.c: add main item as first child.
	
2003-12-05  Bolian Yin <bolian.yin@sun.com>
                                                                                
        * calendar/ea-cal-view-event.c (ea_cal_view_event_new): shortcut when cal_view is NULL.
        * calendar/ea-cal-view.c: Change an action name.
        * calendar/ea-calendar.c (ea_calendar_focus_watcher): add check for event atk object.
        * calendar/ea-week-view.c (ea_week_view_get_n_children): correct impl.
          (get_visible_text_item_count): removed.
                                                                                
2003-12-06  JP Rosevear <jpr@ximian.com>

	* */Makefile.am: Remove hard coded disable deprecated flags
	
2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* calendar/Makefile.am (SHELL_IDLS): Only get Evolution.idl.

2003-11-11  Bolian Yin <bolian.yin@sun.com>
                                                                                
        Fixes #50538
                                                                                
        * new files:
                widgets/ea-calendar-cell.[hc]
                                                                                
        * widgets/ea-calendar-item: impl. atk selection and atk table interface.        

	* widgets/Makefile.am : use shared object library (.so)
                                                                                
2003-11-07  JP Rosevear <jpr@ximian.com>

	* calendar/Makefile.am (INCLUDES): don't include toplevel libical
	
2003-11-07  JP Rosevear <jpr@ximian.com>

	* Handle some more renaming
	
2003-11-07  JP Rosevear <jpr@ximian.com>

	* Reflect renaming of ECalView to ECalendarView

2003-11-04  Bolian Yin <bolian.yin@sun.com>

	Fixes # 48509

	* new files:
		ea-cell-table.h ea-cell-table.c
	* calendar/Makefile.am: add entries for new files
	* calendar/New files added:
		ea-day-view-main-item.c ea-day-view-main-item.h
		ea-day-view-cell.c ea-day-view-cell.h
	* Add debug info and remove some non-C99 compilers warnings.
	* calendar/ea-cal-view: add action interface. 

2003-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* calendar/Makefile.am: INCLUDE path fixes for changes made to
	libical build.

2003-08-27  Bolian Yin <bolian.yin@sun.com>

	* Makefile.am: add widgets directory; move calendar idl stuff to
	calendar directory; stop make a single shared lib for whole a11y
	stuff.

	* ea-factory.h: make factory macros available to GOBJECT

	* calendar/Makefile.am: add calendar idl stuff

	* calendar/ea-cal-view-event.c: add atkcomponent interface.

	* calendar/ea-gnome-calendar.c (ea_gcal_switch_view_cb): add
	details for "children_changed".

	* new widgets directory for widgets a11y stuff, new files are:
		widgets/Makefile.am, widgets/ea-calendar-item.c,
		widgets/ea-calendar-item.h, widgets/ea-widgets.c,
		widgets/ea-widgets.h

2003-08-20  Rodrigo Moya <rodrigo@ximian.com>

	* calendar/ea-cal-view-event.c (ea_cal_view_event_get_name):
	adapted to changes in ECalViewEvent.

2003-08-20  Bolian Yin <bolian.yin@sun.com>
	setup the a11y directory for evolution accessibility work
	New files are:
		ChangeLog
		ea-factory.h
		Makefile.am
		calendar/ea-calendar.c
		calendar/ea-calendar.h
		calendar/ea-calendar-helpers.c
		calendar/ea-calendar-helpers.h
		calendar/ea-cal-view.c
		calendar/ea-cal-view.h
		calendar/ea-cal-view-event.c
		calendar/ea-cal-view-event.h
		calendar/ea-day-view.c
		calendar/ea-day-view.h
		calendar/ea-week-view.c
		calendar/ea-week-view.h
		calendar/ea-gnome-calendar.c
		calendar/ea-gnome-calendar.h
		calendar/Makefile.am
